Look up UPCs and ISRCs
Whether releases (by UPC) or recordings (by ISRC) are in AMM Distro, and how far along. Needs ingestion:read. Up to 50 identifiers; unknown ones come back with found: false.
GET
/
ingestion
/
lookup
Look up UPCs and ISRCs
curl --request GET \
--url https://api.ammdistro.com/api/v2/external/ingestion/lookup \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ammdistro.com/api/v2/external/ingestion/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ammdistro.com/api/v2/external/ingestion/lookup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"upcs": [
{
"input": "<string>",
"upc": "<string>",
"found": true,
"matches": [
{
"matchedOn": "release_upc",
"release": {
"id": "<string>",
"title": "<string>",
"artists": [
"<string>"
],
"releaseType": "<string>",
"upc": "<string>",
"status": "draft",
"ingested": true,
"releaseDate": "2023-12-25",
"createdAt": "2023-11-07T05:31:56Z",
"submittedAt": "<string>",
"reviewedAt": "<string>",
"deliveryQueuedAt": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
]
}
],
"isrcs": [
{
"input": "<string>",
"isrc": "<string>",
"found": true,
"matches": [
{
"matchedOn": "isrc",
"track": {
"id": "<string>",
"title": "<string>",
"artists": [
"<string>"
],
"isrc": "<string>",
"discNumber": 123,
"trackNumber": 123
},
"release": {
"id": "<string>",
"title": "<string>",
"artists": [
"<string>"
],
"releaseType": "<string>",
"upc": "<string>",
"status": "draft",
"ingested": true,
"releaseDate": "2023-12-25",
"createdAt": "2023-11-07T05:31:56Z",
"submittedAt": "<string>",
"reviewedAt": "<string>",
"deliveryQueuedAt": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
]
}
],
"summary": {
"requested": 123,
"found": 123,
"notFound": 123
},
"checkedAt": "2023-11-07T05:31:56Z"
}Authorizations
An API key from Settings → API in AMM Distro.
⌘I
Look up UPCs and ISRCs
curl --request GET \
--url https://api.ammdistro.com/api/v2/external/ingestion/lookup \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ammdistro.com/api/v2/external/ingestion/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ammdistro.com/api/v2/external/ingestion/lookup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"upcs": [
{
"input": "<string>",
"upc": "<string>",
"found": true,
"matches": [
{
"matchedOn": "release_upc",
"release": {
"id": "<string>",
"title": "<string>",
"artists": [
"<string>"
],
"releaseType": "<string>",
"upc": "<string>",
"status": "draft",
"ingested": true,
"releaseDate": "2023-12-25",
"createdAt": "2023-11-07T05:31:56Z",
"submittedAt": "<string>",
"reviewedAt": "<string>",
"deliveryQueuedAt": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
]
}
],
"isrcs": [
{
"input": "<string>",
"isrc": "<string>",
"found": true,
"matches": [
{
"matchedOn": "isrc",
"track": {
"id": "<string>",
"title": "<string>",
"artists": [
"<string>"
],
"isrc": "<string>",
"discNumber": 123,
"trackNumber": 123
},
"release": {
"id": "<string>",
"title": "<string>",
"artists": [
"<string>"
],
"releaseType": "<string>",
"upc": "<string>",
"status": "draft",
"ingested": true,
"releaseDate": "2023-12-25",
"createdAt": "2023-11-07T05:31:56Z",
"submittedAt": "<string>",
"reviewedAt": "<string>",
"deliveryQueuedAt": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
]
}
],
"summary": {
"requested": 123,
"found": 123,
"notFound": 123
},
"checkedAt": "2023-11-07T05:31:56Z"
}